Subject: bug#52790: closed (Re: bug#52790: [PATCH 0/4] Update docker to 20.10.11.)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 24 Jun 2022 05:07:02 +0000

Your bug report

#52790: [PATCH 0/4] Update docker to 20.10.11.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
52790: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=52790
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#52790: [PATCH 0/4] Update docker to 20.10.11.
From: Maxim Cournoyer <[email-masked]>
To: Pierre Langlois <[email-masked]>
Cc: [email-masked]
Date: Fri, 24 Jun 2022 01:05:56 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Pierre!

Very nice work, thanks for doing it!

I've reviewed the whole series (7 patches), made some changes mostly to
update to the latest current version of Docker 20.10.17 and containerd
at 1.6.6, added a commit to address 'guix lint' issues and another one
to allow the Docker system tests to pass on my old machine.  I tested
using some Docker load I had at hand and pushed the series.

Thanks again!

Closing.

Maxim

Subject: [PATCH 0/4] Update docker to 20.10.11.
From: Pierre Langlois <[email-masked]>
To: [email-masked]
Date: Sat, 25 Dec 2021 14:17:50 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Guix!

Here's a series to update docker.  My use of docker is quite limited so
we might want more testing, I just have a basic Ubuntu container.

Also, while looking into this I noticed containerd's patch-paths phase
wasn't running at all so I fixed that. However I'm not sure how
containerd worked before without it. Docker bundles its own
version that we also patch, so we're probably not hitting the code that
needed patching.

Thanks,
Pierre

Pierre Langlois (4):
  gnu: containerd: Fix patch-paths build phase.
  gnu: containerd: Update to 1.5.8.
  gnu: runc: Update to 1.0.3.
  gnu: docker: Update to 20.10.11.

 gnu/local.mk                                |  1 -
 gnu/packages/docker.scm                     | 80 +++++++++------------
 gnu/packages/networking.scm                 |  6 +-
 gnu/packages/patches/docker-fix-tests.patch | 28 --------
 gnu/packages/virtualization.scm             |  4 +-
 5 files changed, 39 insertions(+), 80 deletions(-)
 delete mode 100644 gnu/packages/patches/docker-fix-tests.patch

-- 
2.34.0